#ifndef DIALOGTRAINEESGROUPS_H
#define DIALOGTRAINEESGROUPS_H

#include <QDialog>
#include <QTreeWidget>
#include "traineesview.h"
//#include "computersLocations.h"

namespace Ui {
class EditorTrainees;
}

//Виджет для редактирования БД Обучаемых

class EditorTrainees : public TraineesView
{
    Q_OBJECT

public:
    explicit EditorTrainees(ConnectorToServer* connectorToServer, bool adminMode, QWidget *parent = nullptr);
    ~EditorTrainees();

    void closeEvent(QCloseEvent *event) override;

private Q_SLOTS:
    void on_btnNewGroup_clicked();
    void on_btnDeleteGroup_clicked();
    void on_btnNewTrainee_clicked();
    void on_btnDeleteTrainee_clicked();
    void on_btnToOrFromArchiveTrainee_clicked();
    void on_btnEdit_clicked();
    void on_btnArchive_clicked();
    void on_treeWidgetCurrentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);

private:
    //void setCurrentGroup(int id);
    //void setCurrentTrainee(int id);
    bool verifyGroup(Group group);
    bool verifyTrainee(Trainee trainee);

    bool editGroup(Group group, Group* group_edit);
    bool editTrainee(Trainee trainee, Trainee* trainee_edit);

private:
    Ui::EditorTrainees *ui;
};

#endif // DIALOGTRAINEESGROUPS_H
